## ros-melodic-move-slow-and-clear 1.16.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(move_slow_and_clear)

find_package(catkin REQUIRED
    COMPONENTS
        cmake_modules
        costmap_2d
        geometry_msgs
        nav_core
        pluginlib
        roscpp
        )


find_package(Eigen3 REQUIRED)
remove_definitions(-DDISABLE_LIBUSB-1.0)
find_package(Boost REQUIRED COMPONENTS thread)
include_directories(
    include
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
)
add_definitions(${EIGEN3_DEFINITIONS})

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES move_slow_and_clear
    CATKIN_DEPENDS
        geometry_msgs
        nav_core
        pluginlib
        roscpp
)

add_library(${PROJECT_NAME} src/move_slow_and_clear.cpp)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}
    ${Boost_LIBRARIES}
    ${catkin_LIBRARIES}
    )

## Install project namespaced headers
install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
    FILES_MATCHING PATTERN "*.h"
    PATTERN ".svn" EXCLUDE)

install(TARGETS move_slow_and_clear
       ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
       )

install(FILES recovery_plugin.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-move-slow-and-clear (1.16.7-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 04:00:00 -0000

ros-melodic-move-slow-and-clear (1.16.6-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 04:00:00 -0000

ros-melodic-move-slow-and-clear (1.16.5-1stretch) stretch; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 04:00:00 -0000

ros-melodic-move-slow-and-clear (1.16.4-1stretch) stretch; urgency=high

  * [Windows][melodic] Navigation (except for map_server and amcl) Windows build bring up (#851 <https://github.com/cobalt-robotics/navigation/issues/851>)
  * Merge pull request #955 <https://github.com/cobalt-robotics/navigation/issues/955> from isjfk/melodic-devel
    Fix move_slow_and_clear sending obsolete params to dwa_local_planner
  * Fix move_slow_and_clear sending obsolete params to dwa_local_planner
    issue.
  * Contributors: Jimmy F. Klarke, Michael Ferguson, Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-melodic-move-slow-and-clear (1.16.3-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 05:00:00 -0000

ros-melodic-move-slow-and-clear (1.16.2-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Jul 2018 04:00:00 -0000

ros-melodic-move-slow-and-clear (1.16.1-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jul 2018 04:00:00 -0000

ros-melodic-move-slow-and-clear (1.16.0-1stretch) stretch; urgency=high

  * Switch to TF2 #755 <https://github.com/ros-planning/navigation/issues/755>
  * Contributors: Michael Ferguson, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jul 2018 04:00:00 -0000

ros-melodic-move-slow-and-clear (1.15.2-1stretch) stretch; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Rebase PRs from Indigo/Kinetic (#637 <https://github.com/ros-planning/navigation/issues/637>)
    * Respect planner_frequency intended behavior (#622 <https://github.com/ros-planning/navigation/issues/622>)
    * Only do a getRobotPose when no start pose is given (#628 <https://github.com/ros-planning/navigation/issues/628>)
    Omit the unnecessary call to getRobotPose when the start pose was
    already given, so that move_base can also generate a path in
    situations where getRobotPose would fail.
    This is actually to work around an issue of getRobotPose randomly
    failing.
    * Update gradient_path.cpp (#576 <https://github.com/ros-planning/navigation/issues/576>)
    * Update gradient_path.cpp
    * Update navfn.cpp
    * update to use non deprecated pluginlib macro (#630 <https://github.com/ros-planning/navigation/issues/630>)
    * update to use non deprecated pluginlib macro
    * multiline version as well
    * Print SDL error on IMG_Load failure in server_map (#631 <https://github.com/ros-planning/navigation/issues/631>)
  * Contributors: Aaron Hoy, David V. Lu!!, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Mar 2018 04:00:00 -0000

ros-melodic-move-slow-and-clear (1.15.1-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 04:00:00 -0000

ros-melodic-move-slow-and-clear (1.15.0-1stretch) stretch; urgency=high

  * convert packages to format2
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * import only PCL common
  * address gcc6 build error
  * remove GCC warnings
  * Fix CMake warnings
  * Contributors: Lukas Bulwahn, Martin Günther, Mikael Arguedas, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 04:00:00 -0000

ros-melodic-move-slow-and-clear (1.14.0-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 04:00:00 -0000

ros-melodic-move-slow-and-clear (1.13.1-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-melodic-move-slow-and-clear (1.13.0-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 04:00:00 -0000

ros-melodic-move-slow-and-clear (1.12.0-1stretch) stretch; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-melodic-move-slow-and-clear (1.11.15-1stretch) stretch; urgency=high

  * Add ARCHIVE_DESTINATION for static builds
  * Contributors: Gary Servin

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-melodic-move-slow-and-clear (1.11.14-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-melodic-move-slow-and-clear (1.11.13-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 04:00:00 -0000

ros-melodic-move-slow-and-clear (1.11.12-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 04:00:00 -0000

ros-melodic-move-slow-and-clear (1.11.11-1stretch) stretch; urgency=high

  * Use service call, rather than system call, to call dynamic
    reconfigure when decreasing move_base speed.
  * Contributors: Ryohei Ueda

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 04:00:00 -0000

ros-melodic-move-slow-and-clear (1.11.10-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-melodic-move-slow-and-clear (1.11.9-1stretch) stretch; urgency=high





=== debian/control ===
Source: ros-melodic-move-slow-and-clear
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-costmap-2d, ros-melodic-geometry-msgs, ros-melodic-nav-core, ros-melodic-pluginlib, ros-melodic-roscpp
Homepage: http://wiki.ros.org/move_slow_and_clear
Standards-Version: 3.9.2

Package: ros-melodic-move-slow-and-clear
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-costmap-2d, ros-melodic-geometry-msgs, ros-melodic-nav-core, ros-melodic-pluginlib, ros-melodic-roscpp
Description: move_slow_and_clear

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-move-slow-and-clear//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
